# List user devices Retrieve a paginated list of devices registered for the authenticated user, used for communication and notification delivery. Endpoint: GET /notifications/devices Version: 1.0 Security: bearerAuth ## Header parameters: - `x-fingerprint-id` (string, required) Unique device or session fingerprint identifier used for security and fraud prevention. ## Query parameters: - `page` (string, required) Page number to access - `limit` (string, required) Number of items to be loaded per page - `userId` (string) Filter devices by user identifier. Example: "9f2a7c31-6d4e-4d9a-b5e8-1f7c9e4a2b10" ## Response 200 fields (application/json): - `statusCode` (integer) Example: 200 - `data` (object) - `data.docs` (array) - `data.docs.id` (string) Example: "65dcb5a71f8e9c0024b6a112" - `data.docs.createdAt` (string) Example: "2026-01-27T10:12:44.320Z" - `data.docs.updatedAt` (string) Example: "2026-01-29T16:48:12.770Z" - `data.docs.deleted` (string) - `data.docs.userId` (string) Example: "9f2a7c31-6d4e-4d9a-b5e8-1f7c9e4a2b10" - `data.docs.deviceId` (string) Example: "device-c91a4e" - `data.docs.platform` (string) Enum: "android", "ios", "web" - `data.docs.lastUsedAt` (string) Example: "2026-01-29T16:45:01.210Z" - `data.docs.status` (string) Enum: "active", "revoked" - `data.docs.environment` (string) Example: "production" - `data.docs.lastSeenAt` (string) Example: "2026-01-29T16:45:01.210Z" - `data.docs.pushToken` (string) Example: "eJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.listmocktoken321" - `data.docs.mobileSettings` (object) - `data.docs.mobileSettings.appInstanceId` (string) Example: "app-instance-5520" - `data.docs.mobileSettings.appVersion` (string) Example: "5.0.0" - `data.docs.mobileSettings.osVersion` (string) Example: "15.3" - `data.docs.mobileSettings.deviceModel` (string) Example: "iPhone 14 Pro" - `data.docs.webSettings` (object) - `data.docs.webSettings.userAgent` (string) Example: "Mozilla/5.0 (Windows NT 11.0; Win64; x64)" - `data.docs.webSettings.ipAddress` (string) Example: "192.168.1.120" - `data.limit` (integer) Example: 10 - `data.currentPage` (integer) Example: 1 - `data.hasNext` (boolean) - `data.nextPage` (integer) - `data.totalDocs` (integer) Example: 1 - `data.totalPages` (integer) Example: 1 ## Response 400 fields (application/json): - `message` (string) Invalid param: [] Example: "Invalid param: []" - `error` (string) Bad Request Example: "Bad Request" - `statusCode` (integer) 400 Example: 400 ## Response 401 fields (application/json): - `message` (string) Invalid field Example: "Unauthorized" - `error` (string) Unauthorized Example: "Unauthorized" - `statusCode` (integer) 401 Example: 401 ## Response 403 fields (application/json): - `message` (string) Forbidden resource Example: "Forbidden resource" - `error` (string) Forbidden Example: "Forbidden" - `statusCode` (integer) 403 Example: 403 ## Response 500 fields (application/json): - `message` (string) Internal server error Example: "Internal server error" - `error` (string) Internal Server Error Example: "Internal Server Error" - `statusCode` (integer) 500 Example: 500